# frozen_string_literal: true

require "samanage"
describe Samanage::Api do
  context "category" do
    before(:all) do
      TOKEN ||= ENV["SAMANAGE_TEST_API_TOKEN"]
      @samanage = Samanage::Api.new(token: TOKEN)
      @categories = @samanage.collect_categories
    end
    it "creates a category" do
      category_name = "category ##{(rand * 10**4).ceil}"
      category_description = "Location #{(rand * 10**4).ceil}"
      payload = {
        category: {
          name: category_name,
          description: category_description
        }
      }
      category_create = @samanage.create_category(payload: payload)
      expect(category_create[:data]["id"]).to be_an(Integer)
      expect(category_create[:data]["name"]).to eq(category_name)
      expect(category_create[:code]).to eq(200).or(201)
    end
    it "deletes a category" do
      categories = @samanage.categories
      @samanage.delete_category(id: categories.sample['id'])
      expect(category_create[:code]).to eq(200).or(201)
    end
  end
end
